import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/subscription.dart';

import '../repositories/scooter_repository.dart';

class GetAvailableSubscriptionsUsecase {
  final ScooterRepository repository;

  GetAvailableSubscriptionsUsecase(this.repository);

  Future<Result<List<Subscription>>> call() {
    return repository.getAvailableSubscriptions();
  }
}
